#1841 closed defect (fixed)

Incorrect processing of DNS info from DHCP

Reported by: Sebastien Bourdeauducq Owned by: Eric Norum
Priority: normal Milestone: 4.11
Component: network/legacy Version: 4.11
Severity: normal Keywords:
Cc: joel.sherrill@…, chrisj@…, sebastian.huber@…, sebastien@…, seb@… Blocked By:
Blocking:

Description

1) When the /etc/resolv.conf file is built, the code reads the
rtems_bsdnet_ntpserver table instead of the rtems_bsdnet_nameserver
table (line 1092 of rtems_dhcp.c).
2) The variable rtems_bsdnet_nameserver_count is not set to 0 at the
beginning of the DHCP request, which means that when DHCP is restarted,
the DNS entries keep piling up until the table is full (3 entries), at
which point the new DNS will not be taken into account at all.

Attachments (2)

pr1841-dhcp-dns.diff (2.8 KB) - added by Chris Johns on Dec 9, 2011 at 10:11:45 PM.
Clean the DNS entries when an ack for a new req arrives.
dhcp-dns-revised.diff (3.0 KB) - added by Sebastien Bourdeauducq on Feb 24, 2012 at 9:13:25 PM.
New patch

Download all attachments as: .zip

Change History (11)

comment:1 Changed on Nov 29, 2011 at 3:35:59 PM by Joel Sherrill

Cc: Joel Sherrill added

comment:2 Changed on Dec 3, 2011 at 9:15:18 AM by seb

Cc: seb added

comment:3 Changed on Dec 4, 2011 at 10:04:11 PM by Joel Sherrill

Cc: Chris Johns added

Changed on Dec 9, 2011 at 10:11:45 PM by Chris Johns

Attachment: pr1841-dhcp-dns.diff added

Clean the DNS entries when an ack for a new req arrives.

comment:4 Changed on Dec 9, 2011 at 10:12:17 PM by Chris Johns

attachments.ispatch: 01
attachments.mimetype: application/octet-streamtext/plain

Changed on Feb 24, 2012 at 9:13:25 PM by Sebastien Bourdeauducq

Attachment: dhcp-dns-revised.diff added

New patch

comment:5 Changed on Feb 24, 2012 at 9:13:25 PM by Sebastien Bourdeauducq

attachments.isobsolete: 01

comment:6 Changed on Mar 29, 2012 at 8:00:19 AM by Sebastien Bourdeauducq

Cc: Sebastien Bourdeauducq added

comment:7 Changed on May 22, 2012 at 11:48:53 AM by Sebastian Huber

Resolution: fixed
Status: newclosed, sebastian.huber@embedded-brains.de

comment:8 Changed on May 22, 2012 at 8:55:36 PM by Chris Johns

Applied.

comment:9 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.